# TdApi.GetRecentlyVisitedTMeUrls

Package it.ernytech.tdlib

## Class TdApi.GetRecentlyVisitedTMeUrls

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.GetRecentlyVisitedTMeUrls

Enclosing class:
  TdApi

    public static class TdApi.GetRecentlyVisitedTMeUrls
    extends TdApi.Function

Returns t.me URLs recently visited by a newly registered user.

Returns `TMeUrls`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `referrer` Google Play referrer to identify the user.

### Constructor Summary

Constructors
`GetRecentlyVisitedTMeUrls()` Default constructor.
`GetRecentlyVisitedTMeUrls​(java.lang.String referrer)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### referrer

    public java.lang.String referrer

Google Play referrer to identify the user.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### GetRecentlyVisitedTMeUrls

    public GetRecentlyVisitedTMeUrls()

Default constructor.

#### GetRecentlyVisitedTMeUrls

    public GetRecentlyVisitedTMeUrls​(java.lang.String referrer)

Constructor for initialization of all fields.

Parameters:
  `referrer` - Google Play referrer to identify the user.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR